GreatWksSSParserInternal::Spreadsheet Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | List of all members
GreatWksSSParserInternal::Spreadsheet Class Reference

the spreadsheet of a of a MsWksSSParser More...

## Public Member Functions
| Spreadsheet ()
| constructor More...
int | getRowHeight (int row) const
| returns the row size in point More...
double | getRowHeight (int row, int &numRepeated) const
| returns the height of a row in point and updated repeated row More...
std::vector< float > | convertInPoint (std::vector< int > const &list) const
| convert the m_widthCols in a vector of of point size More...

## Public Attributes
int | m_widthDefault
| the default column width More...
std::vector< int > | m_widthCols
| the column size in points More...
int | m_heightDefault
| the default row height More...
std::vector< int > | m_heightRows
| the row height in points More...
std::vector< Cell > | m_cells
| the list of not empty cells More...
std::string | m_name
| the spreadsheet name More...

## Protected Member Functions
MWAWVec2i | getRightBottomPosition () const
| returns the last Right Bottom cell position More...

## Detailed Description

the spreadsheet of a of a MsWksSSParser

## Constructor & Destructor Documentation

GreatWksSSParserInternal::Spreadsheet::Spreadsheet | ( |  | ) |
| inline

constructor

## Member Function Documentation

std::vector<float> GreatWksSSParserInternal::Spreadsheet::convertInPoint | ( | std::vector< int > const & | list | ) | const
| inline

convert the m_widthCols in a vector of of point size

Referenced by GreatWksSSParser::sendSpreadsheet().

MWAWVec2i GreatWksSSParserInternal::Spreadsheet::getRightBottomPosition | ( |  | ) | const
| inlineprotected

returns the last Right Bottom cell position

int GreatWksSSParserInternal::Spreadsheet::getRowHeight | ( | int | row | ) | const
| inline

returns the row size in point

Referenced by GreatWksSSParser::sendSpreadsheet().

double GreatWksSSParserInternal::Spreadsheet::getRowHeight | ( | int | row,
|  | int & | numRepeated
| ) |  | const
| inline

returns the height of a row in point and updated repeated row

## Member Data Documentation

std::vector<Cell> GreatWksSSParserInternal::Spreadsheet::m_cells

the list of not empty cells

Referenced by GreatWksSSParser::sendSpreadsheet().

int GreatWksSSParserInternal::Spreadsheet::m_heightDefault

the default row height

std::vector<int> GreatWksSSParserInternal::Spreadsheet::m_heightRows

the row height in points

std::string GreatWksSSParserInternal::Spreadsheet::m_name

the spreadsheet name

Referenced by GreatWksSSParser::sendSpreadsheet().

std::vector<int> GreatWksSSParserInternal::Spreadsheet::m_widthCols

the column size in points

Referenced by GreatWksSSParser::sendSpreadsheet().

int GreatWksSSParserInternal::Spreadsheet::m_widthDefault

the default column width

The documentation for this class was generated from the following file:

- GreatWksSSParser.cxx